summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'init.d/udev')
-rw-r--r--init.d/udev4
1 files changed, 2 insertions, 2 deletions
diff --git a/init.d/udev b/init.d/udev
index 705d87c..724cb82 100644
--- a/init.d/udev
+++ b/init.d/udev
@@ -77,9 +77,9 @@ stop() {
get_udevd_binary || return 1
ebegin "Stopping ${name:-$RC_SVCNAME}"
udevadm control --exit ||
- start-stop-daemon --stop --exec "${command}" --pidfile "${pidfile}" &&
- rm -f "${pidfile}"
+ start-stop-daemon --stop --exec "${command}" --pidfile "${pidfile}"
eend $? "Failed to stop $RC_SVCNAME"
+ [ $? -eq 0 ] && rm -f "${pidfile}" /run/udev/control
}
reload() {